| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::DBusError Class Reference
Service-side implementation

Small container class, containing a D-Bus error. More...

`#include <TelepathyQt/DBusError>`

List of all members.

## Public Member Functions

- DBusError ()
- DBusError (const QString &name, const QString &message)
- ~DBusError ()
- bool isValid () const
- bool operator== (const DBusError &other) const
- bool operator!= (const DBusError &other) const
- QString name () const
- QString message () const
- void set (const QString &name, const QString &message)

## Detailed Description

Small container class, containing a D-Bus error.

## Constructor & Destructor Documentation

Tp::DBusError::DBusError | ( |  | ) |

Construct an empty DBusError

Tp::DBusError::DBusError | ( | const QString & | name,
|  | const QString & | message
| ) |  |

Construct a DBusError with the given error name and message.

Parameters:

  name | The D-Bus error name.
  message | A human-readable description of the error.

Tp::DBusError::~DBusError | ( |  | ) |

Class destructor.

## Member Function Documentation

bool Tp::DBusError::isValid | ( |  | ) | const`[inline]`

Return whether this DBusError is set to contain an error or not.

Returns:
  `true` if the error name and message have been set, or `false` otherwise.

bool Tp::DBusError::operator== | ( | const DBusError & | other | ) | const

Compare this error with another one.

Parameters:

  other | The other error to compare to.

Returns:
  `true` if the two errors have the same name and message or `false` otherwise.

bool Tp::DBusError::operator!= | ( | const DBusError & | other | ) | const

Compare this error with another one.

Parameters:

  other | The other error to compare to.

Returns:
  `false` if the two errors have the same name and message or `true` otherwise.

QString Tp::DBusError::name | ( |  | ) | const

Return the D-Bus name of this error.

Returns:
  The D-Bus name of this error.

QString Tp::DBusError::message | ( |  | ) | const

Return the human-readable description of the error.

Returns:
  The human-readable description of the error.

void Tp::DBusError::set | ( | const QString & | name,
|  | const QString & | message
| ) |  |

Set this DBusError to contain the given error name and message.

Parameters:

  name | The D-Bus error name to set.
  message | The description of the error to set.